% PLOTENERGY plots on the error histogram
% input argument x is the argument of the minimization
% input argument state is the minimization state
%
% created on 2008/08/24 by Pamela Gotti - pamela.gotti@gmail.com

function stop = plotEnergy(x,optimValues,state)
stop = false;
global e1;

%graphs handler
plotEnergy = findobj(get(gca,'Children'),'Tag','plotEnergy');

switch state
    case 'init'
        % nothinf to do        
    case 'iter'
        if optimValues.iteration == 0
            % The 'iter' case is  called during the zeroth iteration,
            % but it has values that were empty during the 'init' case
            plotEnergy = bar(1:size(e1, 1),e1);   %plotting the error histogram            
            title('Energy histogram');
            set(plotEnergy,'Tag','plotEnergy');
        else            
            % Not the zeroth iteration
            set(plotEnergy,'Ydata',e1);    
        end
end
